]>
zdv2.bktei.com Git - BK-2020-03.git/blob - user/bkphotorights
2 # Desc: Apply metadata to photos
3 # Usage: bkphotometa.sh [FILE in]
4 # Ref/Attrib: [1]. Creative Commons XMP recommendation. (2015). https://wiki.creativecommons.org/wiki/XMP
5 # [2]. Eva, Johannes. (2023-03-30). “How to edit EXIF metadata via the command line with ExifTool”. libre-software.net. https://libre-software.net/linux/edit-metadata-exiftool/
7 # Depends: * exiftool 12.16 (https://exiftool.org/ )
11 strCreator
= "Steven Baltakatei Sandoval" ;
12 strCreatorURL
= "https://baltakatei.com" ;
13 strTerms
= "This work is licensed to the public under the Creative Commons Attribution-ShareAlike license http://creativecommons.org/licenses/by-sa/4.0/ ." ;
14 strLicenseURL
= "http://creativecommons.org/licenses/by-sa/4.0/" ;
16 yell
() { echo " $0 : $*" >& 2 ; } # print script path and all args to stderr
17 die
() { yell
"$*" ; exit 111 ; } # same as yell() but non-zero exit status
18 must
() { "$@" || die
"cannot $*" ; } # runs args as command, reports args if command fails
24 if [[ ! -f " $1 " ]]; then die
"FATAL:Not a file: $1 " ; fi ;
25 if ! command -v exiftool
1 >/ dev
/ random
2 >& 1 ; then
26 die
"FATAL:exiftool not available. See https://exiftool.org/ ." ; fi ;
29 # Check if exiftool recognizes the file format
30 if ! exiftool
-s -FileType " $file_in " 1 >/ dev
/ random
; then
31 yell
"ERROR:File type not recognized by exiftool: $file_in " ;
34 # Change file metadata
36 cmd_args
+=( "exiftool" );
37 # cmd_args+=("-overwrite_original"); # hashtag reckless
40 cmd_args
+=( "-XMP-dc:Rights=" " $value " ); unset value
;
43 cmd_args
+=( "-XMP-xmpRights:Marked=" " $value " ); unset value
;
46 cmd_args
+=( "-XMP-xmpRights:UsageTerms=" " $value " ); unset value
;
48 value
= " $strLicenseURL " ;
49 cmd_args
+=( "-XMP-cc:license=" " $value " ); unset value
;
52 cmd_args
+=( "-XMP-cc:AttributionName=" " $value " ); unset value
;
54 value
= " $strCreatorURL " ;
55 cmd_args
+=( "-XMP-cc:AttributionURL=" " $value " ); unset value
;
57 cmd_args
+=( " $file_in " );
65 # Author: Steven Baltakatei Sandoval